summary refs log tree commit diff
path: root/.ci/macos
diff options
context:
space:
mode:
authorzapashcanon <leo@ndrs.fr>2019-04-24 01:55:05 +0200
committerzapashcanon <leo@ndrs.fr>2019-04-24 01:55:05 +0200
commiteee6f2de31bb01bda96597a5236fc4b2dc668ff4 (patch)
treecdbf798b78024df70262971c6858d1342ea8d019 /.ci/macos
parentUpdate olm repo to new location. (diff)
downloadnheko-eee6f2de31bb01bda96597a5236fc4b2dc668ff4.tar.xz
improve shell scripts and update .gitignore
Diffstat (limited to '.ci/macos')
-rwxr-xr-x.ci/macos/deploy.sh35
1 files changed, 18 insertions, 17 deletions
diff --git a/.ci/macos/deploy.sh b/.ci/macos/deploy.sh
index 79701243..45ed13bc 100755
--- a/.ci/macos/deploy.sh
+++ b/.ci/macos/deploy.sh
@@ -1,29 +1,30 @@
-#!/usr/bin/env bash
+#!/usr/bin/env sh
 
-set -ex
+set -eux
 
-TAG=`git tag -l --points-at HEAD`
+# unused
+#TAG=$(git tag -l --points-at HEAD)
 
 # Add Qt binaries to path
 PATH=/usr/local/opt/qt/bin/:${PATH}
 
-pushd build
+( cd build
+  # macdeployqt does not copy symlinks over.
+  # this specifically addresses icu4c issues but nothing else.
+  ICU_LIB="$(brew --prefix icu4c)/lib"
+  export ICU_LIB
+  mkdir -p nheko.app/Contents/Frameworks
+  find "${ICU_LIB}" -type l -name "*.dylib" -exec cp -a -n {} nheko.app/Contents/Frameworks/ \; || true
 
-# macdeployqt does not copy symlinks over.
-# this specifically addresses icu4c issues but nothing else.
-export ICU_LIB="$(brew --prefix icu4c)/lib"
-mkdir -p nheko.app/Contents/Frameworks
-find ${ICU_LIB} -type l -name "*.dylib" -exec cp -a -n {} nheko.app/Contents/Frameworks/ \; || true
+  sudo macdeployqt nheko.app -dmg -always-overwrite
 
-sudo macdeployqt nheko.app -dmg -always-overwrite
-
-user=$(id -nu)
-sudo chown ${user} nheko.dmg
-mv nheko.dmg ..
-popd
+  user=$(id -nu)
+  sudo chown "${user}" nheko.dmg
+  mv nheko.dmg ..
+)
 
 dmgbuild -s ./.ci/macos/settings.json "Nheko" nheko.dmg
 
-if [ ! -z $VERSION ]; then
-    mv nheko.dmg nheko-${VERSION}.dmg
+if [ ! -z "$VERSION" ]; then
+    mv nheko.dmg "nheko-${VERSION}.dmg"
 fi